Subject: Re: Cannot #include <lm.h> -- compilation errors
From: egor duda <[email-masked]>
To: "Jonathan E. Brickman" <[email-masked]>
Cc: [email-masked]
Date: Tue, 16 Jul 2002 10:31:37 +0400

Hi!

Tuesday, 16 July, 2002 Jonathan E. Brickman [email-masked] wrote:

JEB> Downloaded the latest standard cygwin two days ago.  Whenever I
JEB> #include <lm.h> or #include <lmaccess.h>, a slew of errors like the
JEB> following occur:

JEB> /usr/include/w32api/lmstats.h:110: parse error before `NetStatisticsGet'
JEB> /usr/include/w32api/lmstats.h:110: parse error before `DWORD'
JEB> /usr/include/w32api/lmstats.h:110: warning: data definition has no type or stora
JEB> ge class

JEB> Obviously, when I #include <lmaccess.h>, the reported errors are in
JEB> lmaccess.h. #including <lm.h> results in several files' errors. What
JEB> am I doing wrong?

Use #include <windows.h>, and then (if needed) #include <lm.h>

Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/